/**
 *  Copyright (c) 2021 Texas Instruments Incorporated
 *  All rights reserved.
 *
 *  Redistribution and use in source and binary forms, with or without
 *  modification, are permitted provided that the following conditions
 *  are met:
 *
 *  *   Redistributions of source code must retain the above copyright
 *  notice, this list of conditions and the following disclaimer.
 *  notice, this list of conditions and the following disclaimer in the
 *  documentation and/or other materials provided with the distribution.
 *  *   Neither the name of Texas Instruments Incorporated nor the names of
 *  its contributors may be used to endorse or promote products derived
 *  from this software without specific prior written permission.
 *
 *  THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS "AS IS"
 *  AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO,
 *  THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR
 *  PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT OWNER OR
 *  CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL,
 *  EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
 *  PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
 *  OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
 *  WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
 *  OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE,
 *  EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
 */

 :root{
    --theme-primary-color: #1661b8;
    --theme-secondary-color: #d36913;
    --theme-tertiary-color: #132b6d;
    --theme-background-color: #d1e0e6;
    --theme-background-color-disabled: #eaebec;
    --theme-font-color: #132b6d;
    --theme-header-font-color: #c26f03;
    --theme-scroll-track-color: rgba(#eeeeee, 0.1);
    --theme-scroll-thumb-color: rgba(#eeeeee, 0.5);
    --theme-scroll-thumb-color-hover: rgba(#eeeeee, 0.8);
}

:root .no-theme {
    --theme-primary-color: initial;
    --theme-secondary-color: initial;
    --theme-tertiary-color: initial;
    --theme-background-color: initial;
    --theme-background-color-disabled: initial;
    --theme-font-color: initial;
    --theme-header-font-color: initial;
    --theme-scroll-track-color: initial;
    --theme-scroll-thumb-color: initial;
    --theme-scroll-thumb-color-hover: initial;
}